Aidl is missing running the "Hello World"-test project

+2 Richardo Petri · May 30, 2015
Hey there, I'm new and did Java 10 years ago in college so have some tolerance for my noobness.

I've managed to setup Android Studio, SDK, java JDK and JRE. I'm running JRE/JDK 8 update 45 and Android studio

Once the environment was setup I followed TNB Youtube tutorial up to #5.

But I'm encountering some errors first it was the Theme error witch I worked around switching themes (I think this might be a bad permanent solution and mention it because maybe it has something to do with my currant problem).

ATM I'm trying to run the "Hello world" on the emulator. I get the App working in the GUI of Anroid studio but when i press the play button I get an error message.

Information:Gradle tasks [:app:assembleDebug]
:app:preBuild UP-TO-DATE
:app:preDebugBuild UP-TO-DATE
:app:preReleaseBuild UP-TO-DATE
:app:prepareComAndroidSupportAppcompatV72220Library UP-TO-DATE
:app:prepareComAndroidSupportSupportV42220Library UP-TO-DATE
:app:compileDebugAidl FAILED
Error:Execution failed for task ':app:compileDebugAidl'.
> aidl is missing

Im fumbeling in the dark here as what to do. My best guess is that the program is trying to compile using a compiler and I'm missing a part of it. I imagine (and hope :angel:) this is cakewalk for you guys.

I would appreciate help :)

Post a Reply


Oldest  Newest  Rating
+1 Rishuv M · May 31, 2015
Hey! I got the same problem some time ago.

Right click on the app folder, and select "Open Modular Settings". 

You should get an image like this. 

In the "Build tools Version," select 22.0.1 and not 23.0.0.rc1.

Select OK and then try again. It should work this time.
0 Rishuv M · May 31, 2015
0 Richardo Petri · May 31, 2015
I solved this with some help from another forum. If anyone encounters this the problem seems to be that the solution for me was to edit the build.gradle file in the project. For some reason the build.gradle had set the BuildTool to 19.0.1 rc. Once i edited the file to 22.0.1 it worked.

compileSdkVersion 19 == compileSdkVersion 22
buildToolVersion "19.0.1 rc" == buildToolsVersion "22.0.1"
targetSdkVersion 19 == targetSdkVersion 22
0 Richardo Petri · May 31, 2015
Thank you that was easier then my way :)
0 aditya singh · June 5, 2015
thank you very much....
0 Nikhil reddy · July 11, 2015
Error:(1) Error retrieving parent for item: No resource found that matches the given name 'Theme.AppCompat.Light.DarkActionBar'.

can any1 help to resolve this
  • 1

Java / Android Development


Very popular language used to create desktop applications, website applets, and Android apps.

Bucky Roberts Administrator